ssl_wolfssl.c(3)

NAME
ssl_wolfssl.c - Functions for establishing and managing SSL/TLS connections.

SYNOPSIS

#include <config.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <wolfssl/options.h>
#include <wolfssl/ssl.h>
#include <wget.h>
#include 'private.h'
#include 'net.h'
#include 'filename.h'

  Data Structures
struct config
struct session_context

  Macros
#define FD_TO_SOCKET(x) (x)
#define SOCKET_TO_FD(x) (x)
#define error_printf_check(...) if (config.report_invalid_cert) wget_error_printf(__VA_ARGS__)

  Functions
void wget_ssl_set_config_string (int key, const char *value)
void wget_ssl_set_config_object (int key, void *value)
void wget_ssl_set_config_int (int key, int value)
INITIALIZER (tls_init)
void wget_ssl_init (void)
void wget_ssl_deinit (void)
int wget_ssl_open (wget_tcp *tcp)
void wget_ssl_close (void **session)
ssize_t wget_ssl_read_timeout (void *session, char *buf, size_t count, int timeout)
ssize_t wget_ssl_write_timeout (void *session, const char *buf, size_t count, int timeout)
void wget_ssl_set_stats_callback_tls (wget_tls_stats_callback *fn, void *ctx)
void wget_ssl_set_stats_callback_ocsp (wget_ocsp_stats_callback *fn, void *ctx)

Detailed Description

Functions for establishing and managing SSL/TLS connections.

Author

Generated automatically by Doxygen for wget2 from the source code.